
---------------------------------------

###

#### Packages
##### Add
* cmatrix-xfont: X11 font for cmatrix.
* efibootmgr: Interact with the EFI Boot Manager.
* efivar: Tools to manage UEFI variables.
* gpicview: Lightweight image viewer.
* mat: Metadata anonymisation toolkit.
* physlock: Lightweight Linux console locking tool.
* util-linux: Miscellaneous system utilities.
* xautolock: Program launcher for idle X session.

##### Change
* Ensure to have an xautolock launch at boot time (in ~/.xinitrc).
* Fstrim: Ensure to enable TRIM in '/etc/rc.local' if a SSD is available.

### 0.3.1

#### Packages
##### Add
* apticron: To send daily email about pending upgrades.
* mirage: Fast and simple GTK+ image viewer.
* texinfo: Documentation system for on-line information and printed output.
* udisks2: D-Bus service to access and manipulate storage devices.
* whois: Intelligent WHOIS client.
* wpagui: Graphical user interface for wpa_supplicant.

##### Remove
* eog: Use 'mirage' or 'gpicview' instead!
* libnss-mdns: NSS module for Multicast DNS name resolution.
* pmount: Use udisks2 to allow standard user to mount removable devices.

#### Changes
* Use a function to remove some packages and purge all configuration files.
* Add a forwarding of root's mails to new user email address.
* Ensure to disable dangerous modules (firewire, thunderbolt, …).
* Add the possibility to set the GRUB_TIMEOUT
* Exit if no informations file is available.
* Add a ".pref" extension to the preferences files.
* Use the script_path var instead of INSTALL_DIR (=`pwd`).
* Define apt periodic tasks (autoclean, dowload packages, …).
* Update README.md
* Disable BackupPC installation until a good configuration for BackupPC, Apache2/Nginx and Postfix.
* Disable OpenSSH-Server: A workstation doesn't really need a SSH server.
* Ensure Postfix only listen on localhost.

### 0.3.0

#### Packages
##### Add
* Add info package which allows to view Info documents.
* Add ttf-ancient-fonts

##### Remove
* Remove bluetooth packages (System tools for shell).

#### Changes
* Disable Openvpn service (System tools for shell).
* No longer install nfs-kernel-server and samba. It will need a manual install.
* Add Debian repositories files from old-stable to experimental.
* Use apt/sources-list.d directory from git repository to provide the sources-list.d system directory.
* Use apt/preferences.d directory from git repository to provide the preferences.d system directory.
