###########################################################
## Outils de sécurité
## Liste: ddclient
###########################################################
###### Pré-configuration
# Chargement d'un fichier preseed
preconfig ddclient

###### Installation
aptins "Outils de sécurité" ddclient

###### Post-configuration
# On vérifie que ddclient se lance bien en démon
sed -i "s/false/true/g" /etc/default/ddclient

# Fichier de configuration type
cat >> "/etc/ddclient.conf.ovh" << EOF
## Fichier de configuration pour un dyndns chez OVH

daemon=600 # Vérification toutes les 600 secondes
syslog=yes # Enregistrer les logs de mise à jour dans syslog
mail=root # Envoyer tous les messages par mail à root
mail-failure=root # Envoyer les messages d'erreur de mise à jour à root
pid=/var/run/ddclient.pid # Enregistrement du PID dans un fichier
cache=/tmp/ddclient.cache # Fichier de cache

### Choisir l'une des options suivante pour déterminer l'adresse IP publique:

## À partir de l'interface réseau (si connection directe)
#use=if, if=eth0

## À partir d'un server
use=web, web=checkip.dyndns.com/, web-skip='IP Address'

## À partir de la page de status d'un routeur/firewall linksys
#use=linksys, fw=linksys, fw-login=admin, fw-password=admin

## À partir de la page de status d'un firewall
#fw-login=admin, fw-password=XXXXXX
#use=fw, fw=192.168.1.254/status.htm, fw-skip='IP Address'


## Entrer les mots de passe et identifiants OVH DynDns:

login=YOUR-LOGIN # Le nom d'utilisateur OVH DynDns
password=YOUR-PASSWORD # Le mot de passe du DynDns d'OVH

## Cette section n'a pas besoin de changement sauf si il y a besoin de mettre un serveur proxy par défaut
## ou si il faut contourner le serveur proxy (car il interfère avec les mises à jour)

protocol=dyndns2 # protocole par défaut
server=www.ovh.com # serveur par défaut
#server=members.dyndns.org:8245 # serveur pardéfaut (pour contourner le proxy)
#proxy=fasthttp.sympatico.ca:80 # proxy par défaut


## Options par défaut pour les Hôtes DNS Dynamique/Statique

#mx= # Un hôte MX par défaut (laisser indéfini par défaut)
#backupmx=NO # L'hôte MX est le principal MX? (laisser indéfini par défaut)
#wildcard=YES # Ajouter un alias CNAME?

##L'hôte DynDNS à mettre à jour
VOTRE.DOMAINE.COM

## L'hôte static DNS à mettre à jour
#static=yes, votre-hote-static.dyndns.org,autre-hote-static.dyndns.org

## Hôte DNS personnalisé à mettre à jour
#custom=yes, votre-domaine.top-level,autre-domaine.top-level

EOF

## Changement des droits sur le fichier de configuration
chmod 600 /etc/ddclient.conf.ovh

###### Information pour l'utilisateur final
cat >> "${INFORMATION}" << EOF

======Instructions Outils de sécurité======
Voici le détail des paquets installés :

+ddclient : Mise à jour d'un dns dynamique. Il est nécessaire de modifier des valeurs dans le fichier de configuration /etc/ddclient.conf.ovh

EOF
